org.apache.sysds.parser

## Enum Statement.PSUpdateType

- java.lang.Object
- - java.lang.Enum<Statement.PSUpdateType>
  - - org.apache.sysds.parser.Statement.PSUpdateType

- All Implemented Interfaces:
    Serializable, Comparable<Statement.PSUpdateType>
  Enclosing class:
    Statement

      public static enum Statement.PSUpdateType
      extends Enum<Statement.PSUpdateType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASP`
    `BSP`
    `SSP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isASP()`
    `boolean` | `isBSP()`
    `static Statement.PSUpdateType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Statement.PSUpdateType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BSP

          public static final Statement.PSUpdateType BSP

    - #### ASP

          public static final Statement.PSUpdateType ASP

    - #### SSP

          public static final Statement.PSUpdateType SSP

  - ### Method Detail

    - #### values

          public static Statement.PSUpdateType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Statement.PSUpdateType c : Statement.PSUpdateType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Statement.PSUpdateType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isBSP

          public boolean isBSP()

    - #### isASP

          public boolean isASP()

Copyright © 2021 The Apache Software Foundation. All rights reserved.